Results 1 to 10 of 11

Thread: When ZoneAlarm Virtualization setting is enabled it prevents Firefox 3.5.5 loading

Hybrid View

  1. #1
    Light1 Guest

    Default When ZoneAlarm Virtualization setting is enabled it prevents Firefox 3.5.5 loading

    To the ZoneAlarm Technical Support Department:

    Hi there,

    Today I received the following email from ZoneAlarm.

    I am running Win XP Pro SP3 with latest updates.
    Firefox 3.5.5 current

    Zonealarm Extreme Secuity version 9.0.114.000 with updates.
    TrueVector security engine version 9.0.114.000
    Driver version 9.0.114.000
    Anti-virus/Anti-spyware engine version 8.0.1.33 DAT file version 997868192
    Antispam version 6.0.0.2383
    ZoneAlarm ForceField 1.5.36.15


    When I checked to see that “Virtualization” was active I found that it was disabled.

    My ZoneAlarm Extreme Security details are as follows

    I enabled “Virtualization” and then tried loading Firefox.
    Firefox crashed and would not load again.

    I have uninstalled Firefox and all personal data, bookmarks and cookies (I don’t use any of these features)
    I downloaded another copy of Firefox 3.5.5 using my Safari bowser.


    When I go to start the newly installed copy of Firefox I get the following two error message screens further below. One for ZoneAlarm and one for Firefox.

    Firefox is now broken and I am unable to use it.

    When I disable the “Virtualization” setting in Zonealarm, Firefox 3.5.5 will then load okay?????

    Firefox is my primary browser.

    I have made further checks with my other browsers as follows:

    The MS Internet Explorer version I have is V6.0.2900….SP3 fully upgraded. (very rarely used)
    This is working okay with the enabled “Virtualization” setting.

    The Safari version I have is 4.0.3 (531.9.1)
    This is working okay with the enabled “Virtualization” setting.

    The Opera version I have is 10.01 Build 1844
    This is working okay with the enabled “Virtualization” setting.









    Questions:

    1. Is this just a Firefox 3.5.5 issue???

    2. Is this a ZoneAlarm 9.0.114.000 issue???

    OR

    3. Does this still indicate that the “Summoner” exploit is active somewhere in my system directories and refusing the new “Virtualization” settings I had set in Zonealarm Extreme Security when using Firefox???

    Thank you for your reply and advice


    ---------------------------------------

    from ZoneAlarm <news@zonealarm.zonelabs.com>
    reply-to ZoneAlarm <input@zonelabs.com>

    to xxxxxxxxxxxxxxxx

    date Thu, Nov 26, 2009 at 5:22 AM

    subject ZoneAlarm Extreme Protects Against New Exploit

    mailed-by zonealarm.zonelabs.com

    signed-by zonealarm.zonelabs.com


    Dear ZoneAlarm Extreme Security Subscriber,

    A newly discovered memory corruption vulnerability, Summoner, has been discovered in Microsoft Internet Explorer. We want you to know that, because you are using the virtualization technology found in ZoneAlarm Extreme Security, you are safe from this exploit. For more information about this Microsoft vulnerability, click here.

    How to turn on Virtualization:

    Step 1: Open ZoneAlarm Extreme Overview Panel. Double-click on the ZoneAlarm icon in your system tray.
    Step 2: From the list of features, click "Browser Security"
    Step 3: Click on "Settings" in the Browser Security Overview Panel
    Step 4: Click "Advanced" tab and check the box "Enable Virtualization"


    We Stop Attacks Others Miss!

    The ZoneAlarm Team


    -------------------------------------------

    ZoneAlarm Browser Security - Meaasage
    ZoneAlarm Sunmit Error Report

    ZoneAlarm Browser Security problem with stability of protected browser.
    It will be restarted

    ----------------------------------------------


    Mozilla Crash Reporter - Message

    We’re Sorry
    Firefox had a problem and crashed. We’ll try to restore your tabs and windows when it restarts.

    To help us diagnose and fix the problem, you can send us a crash report.

    Yes. Tell Mozilla about this crash so they can fix it.

    Details
    BuildID: 20091102152451
    CrashTime: 1259187844
    InstallTime: 1259187606
    ProductName: Firefox
    SecondsSinceLastCrash: 77
    StartupTime: 1259187844
    Throttleable: 1
    URL:
    Vendor: Mozilla
    Version: 3.5.5

    This report also contains technical information about the state of the application when it crashed.

    Yes Email me when more information is available
    xxxxxxxxxxxxxxxxxx

    Your crash report will be submitted before you quit or restart

    Restart Firefox Quit Firefox

  2. #2
    naivemelody Guest

    Default Re: When ZoneAlarm Virtualization setting is enabled it prevents Firefox 3.5.5 loadin

    It's going to get complicated, but it appears you are technically capable.

    Click here > http://forums.zonelabs.com/showthread.php?t=72008 <> notice the FF version number is higher/ newer than yours. Yours may not have been updated for that firefox compatibility yet. So I would...

    I would suggest an upgrade to the latest ZAX -9.1.008. to clear the boards. Click here > http://download.zonealarm.com/bin/fr...seHistory.html

    You may wish to 'un-install' your current ZAX - click here > http://forums.zonelabs.com/showthrea...493#post270493

    Tips: whenever installing any software - you may get better results using IE7/8 instead of others - even if you dislike it.
    -Go to ForceField and read a few posts dealing with Firefox. Sky Soldiers is a Senior member with many good tips and better experience with ForceField and Firefox. May need to 'properly' clean out corrupted Firefox files, cache, etc. Check with Firefox on how to do so.
    -Whenever upgrading/ installing browsers/ browser plug-in's/ add-on's/ favorites/ bookmarks, etc. it's best to do so with ForceField turned-off/ virtualization - off.

    Browser Security Help files - Click here > http://download.zonealarm.com/bin/fo...tml/wwhelp.htm
    Last edited by naivemelody; November 25th, 2009 at 09:42 PM.

  3. #3
    Join Date
    Aug 2009
    Location
    Texas Gulf Coast
    Posts
    1,643

    Default Re: When ZoneAlarm Virtualization setting is enabled it prevents Firefox 3.5.5 loadin

    Also aside from what naivemelody suggested.

    You should read the part about Firefox 3.5.5 compatibility pack at this link :

    http://forums.zonealarm.com/showthre...135#post271135

    In case your Firefox gets corrupt.

    Reset Firefox / Reset when using ForceField at this link :

    http://forums.zonealarm.com/showthread.php?t=69972

    Browser security requirements

    * Microsoft Internet Explorer 6, 7, 8
    * Mozilla Firefox 2.0, 3.0, 3.5

    Complete System Requirements for All ZoneAlarm Products At this link :

    http://www.zonealarm.com/security/en...m-products.htm

    Technical Support Live Chat
    Available Mon-Fri 7am-5:30pm PST
    Limited Availability Sat-Sun

    http://www.zonealarm.com/security/en...ce-support.htm


    Have a nice Day

    Happy Thanksgiving
    Last edited by Sky Soldiers; November 25th, 2009 at 10:38 PM. Reason: Added Info,Added an other link, and paraphrase

  4. #4
    sdambal Guest

    Default Re: When ZoneAlarm Virtualization setting is enabled it prevents Firefox 3.5.5 loadin

    How do I know I have this update. I have XP SP3 and want to update to Firefox 3.5.5.

  5. #5
    Join Date
    Aug 2009
    Location
    Texas Gulf Coast
    Posts
    1,643

    Default Re: When ZoneAlarm Virtualization setting is enabled it prevents Firefox 3.5.5 loadin

    Quote Originally Posted by sdambal View Post
    How do I know I have this update. I have XP SP3 and want to update to Firefox 3.5.5.

    First you must update to version 9.1.008.000.Read you other posts.I see that you already upgraded to Zonealarm Extreme Security version 9.1.008.000

    You should read the part about Firefox 3.5.5 compatibility pack at this link :

    http://forums.zonealarm.com/showthre...135#post271135

    NOTE: Users of Extreme with the built in version of ForceField should not download this because its not compatible with the built in version.
    Your update has already been delivered silently in an update that already went out. That update only applies to XP users.

    Forum Moderator.At this link :

    http://forums.zonealarm.com/showthread.php?t=72008

    Hope this helps

    Have a nice Day
    Last edited by Sky Soldiers; November 28th, 2009 at 06:07 PM. Reason: Added Info & already upgraded

  6. #6
    sdambal Guest

    Default Re: When ZoneAlarm Virtualization setting is enabled it prevents Firefox 3.5.5 loadin

    Yep - I read that. I just wanted to know how to make sure I have the update. Will I get a pop up indicating I have an update and then I accept it OR is it silently delivered and I already have it? How to verify I have it?
    Sorry if I am sounding stupid but dont want to upgrade to firefox 3.5.5 and then have known issues.

  7. #7
    mshane Guest

    Default Re: When ZoneAlarm Virtualization setting is enabled it prevents Firefox 3.5.5 loadin

    Even though there are some benefits to virtualizations in some situations, I always thought they were not compelling enough for IT shops to adopt the technology on-premise for the same reasons mentioned in this article. As you mentioned, VMWare realizes the trends in the virtualizations marketplace and embracing Platform as a service model.
    ~~Snip~~
    Last edited by GeorgeV; August 30th, 2010 at 04:21 PM. Reason: Links to competing programs violate Forum Rules

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •